<template>
  <div>    
    <el-row type="flex" justify="end">
      <el-col :span="1" :offset="offsetArrow">
        <img @click="isValidateReturn" class="cursor-pointer" src="../assets/images/left-arrow.svg" width="40" alt="left-arrow">
      </el-col>
      <el-col :span="spanTitle" style="margin-top: 0.7rem">
        <span class="text-orange"><strong>{{ title }}</strong></span>
      </el-col>
    </el-row>
  </div>
</template>

<script>
export default {
  props: {
    title: String,
    offsetArrow: Number,
    spanTitle: Number,
    isValidate: Boolean
  },
  methods : {
    isValidateReturn () {
      if ( this.isValidate ) {
        this.$emit('clickEvent')
      }
      else {
        this.$router.go(-1)
      }
    }
  }
}
</script>
